#!/bin/bash

name=$1
zeit=$2
start_server=$3

#Startzeit, wie in der Aufgabenstellung vorgegeben
start=$(date +%s%3N)
startzeit_seit_start=$((start - start_server))

echo "Prozess $name läuft für $zeit Sekunden..."

sleep $zeit

#Endzeit wie in der Aufgabenstellung vorgegeben
ende=$(date +%s%3N)
endzeit_seit_start=$((ende - start_server))

echo "Prozess $name beendet."
echo "Prozess $name: Startzeit=${startzeit_seit_start}ms, Endzeit=${endzeit_seit_start}ms"

